package com.gree.mall.manager.bean.worker;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
import org.springframework.stereotype.Service;

import javax.validation.constraints.NotBlank;
import java.util.Date;

@ApiModel
@Data
public class SettlementPgOrderVO {

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;


    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "网点联系人")
    private String linkName;

    @ApiModelProperty(value = "网点联系人电话")
    private String linkMobile;

    @ApiModelProperty("师傅编号")
    private String workerId;

    @ApiModelProperty("师傅名称")
    private String workerName;

    @ApiModelProperty(value = "师傅电话")
    private String workerMobile;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "总工单数（单）")
    private Integer zgds;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "设备总台数（台）")
    private Integer sbzts;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "电子支付工单数量（台）")
    private Integer dzzfs;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "电子支付设备总台数（台）")
    private Integer dzzfsbts;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "电子支付总金额（台）")
    private Integer dzzfzje;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "电子支付平均费用（元/台）")
    private Integer dzzfpjfy;

    @ZfireField(isQuery = false)
    @ApiModelProperty(value = "电子支付总平均费用（元/台）")
    private Integer dzzfzpjfy;
}
